#include <stdio.h>
#include <stdlib.h>
#include <SDL/SDL.h>

/* The screen surface */
SDL_Surface *screen = NULL;
SDL_Surface *imagepng = NULL;
 SDL_Event event;
 SDL_Rect rect;
 

 int main( int argc, char** argv )

{

printf("main initialised");
		
	/* Initialize SDL */
    if (SDL_Init (SDL_INIT_VIDEO|SDL_INIT_JOYSTICK|SDL_INIT_AUDIO) < 0)
    {
	 screen = SDL_SetVideoMode (480, 272, 32, SDL_SWSURFACE | SDL_DOUBLEBUF);
    if (screen == NULL)
    {
        printf ("Couldn't set 480x272x32 video mode: %s\n",
          SDL_GetError ());
	 }
	 
	  /* Load a BMP image into a surface */
    imagepng = SDL_LoadBMP("image.bmp");
	printf("Image LOADED :O");
	
	if (imagepng->format->palette && screen->format->palette) {
    SDL_SetColors(screen, imagepng->format->palette->colors, 0,
                  imagepng->format->palette->ncolors);
    }
  
	rect.x=0;
	rect.y=0;
	rect.w=480;
	rect.h=272;

	/* Blit onto the screen surface */
    if(SDL_BlitSurface(imagepng, NULL, screen, NULL) < 0)
        printf(stderr, "BlitSurface error: %s\n", SDL_GetError());
		
		SDL_UpdateRect(screen, 0, 0, imagepng->w, imagepng->h);
		
		  /* Free the allocated BMP surface */
    SDL_FreeSurface(imagepng);

	SDL_Flip(screen);
	SDL_Delay(50000); 
	
	}
}
